//*****************************************
//  ATmega48 8x8 dot matrix LED Display
// CPU Clock:8MHz
//   UWlgɂ

//   q[Yf[^́@`FbŃurohdmv
//   @@@@@@@@@uannsryv́uBoot Flash size=4096 words Boot Address=$7000v
//   @@@@@@@@@uanckdudkv́uBrown-out detection at VCC=2.7Vv
//   @@@@@@@@@urtsQbjrdkv́uInt Rc Osc.8MHz,Start-up time:6CK+64msv
//
// File Name:port_bit_h.h
//  wb_[t@C
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2017/09/13 New TAB4 Taishi
//  2017/12/13 Ver 2.00 Taishi
//  2018/10/25 Modify for Fifteen IN-17 Clock Taishi
//  2019/12/30 Modify for fourteen IN-172 Clock Taishi
//  2020/09/17 Modify for six IN-16 clock Taishi
//  2022/08/23 Modify for pr_six_in17_clock2 Taishi
//  2022/10/24 modify taishi for nega48 & Character Mode only, Anode Common only
//*****************************************


// XCb`|[g
#define	SW_PORT			PINB					// switch (SW1)

// XCb`rbg
#define	SW1_ON_BIT		(1 << PINB3)			// set switch

// XCb`P̑ԁiWrbgj
#define			SW1_ON_NOW			0x01		// XCb`PꂽB
#define			SW1_OFF_SHORT		0x02		// XCb`PꂽBĂԂ͒Z
#define			SW1_OFF_LONG		0x04		// XCb`PꂽBĂԂ͒
#define			SW1_ON_CONTINUE		0x08		// XCb`PꑱĂBi莞ԊԊuł̒lxoj
#define			SW1_ON				0x10		// XCb`PꑱĂBiĂ鎞͂̒loj
#define			SW1_MASK			0x1f		// XCb`P̐M𒊏o


// kdc
//  PD4(DS2-RED), PD5(DS1-GRN) LED(H=ON, L=OFF)
#define	led_ds_init()		DDRB |= ((1 << DDB4) | (1 << DDB5))	// Port-D Bit4,5 : Output
#define	led_ds1_on()		PORTB |=  (1 << PB5)				// LED DS1 ON
#define	led_ds1_off()		PORTB &= ~(1 << PB5)				// LED DS1_OFF
#define	led_ds1_toggle()	PORTB ^=  (1 << PB5)				// LED DS1_Toggle
#define	led_ds2_on()		PORTB |=  (1 << PB4)				// LED DS2 ON
#define	led_ds2_off()		PORTB &= ~(1 << PB4)				// LED DS2_OFF
#define	led_ds2_toggle()	PORTB ^=  (1 << PB4)				// LED DS2_Toggle


extern	void			get_sw(void);
extern	void			sw_init(void);
extern	unsigned char	get_action_sw(void);
extern	void			wait_key_off(void);
extern	void			wait_sw_off(void);

